function fig = bootdemo()
% Graphic User Interface (GUI) for the Bootstrap Demo

load bootdemo

DefaultFontSize=14;
DefaultBackgroundColor=[0.752941176470588 0.752941176470588 0.752941176470588];

h0 = figure('Tag','BootDemoGUI', ...
  'Color',DefaultBackgroundColor, ...
  'Colormap',mat0, ...
  'HandleVisibility','on', ...
  'MenuBar','none', ...
  'NumberTitle','off', ...
  'Name','BOOTSTRAP DEMO', ...
  'PointerShapeCData',mat1, ...
  'Position',[-1 31 804 534], ...
  'Resize','off' ...
);

%%%%%%%%%%%%%%%%%%%%%%%%%%%% MENU BAR %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
b = uimenu('Label','&File', ...
  'Tag','iotools', ...
  'Parent',h0 ...
);
c = uimenu('Label','Print Figure', ...
  'Parent',b, ...
  'Callback','notyet' ...
);
c = uimenu('Label','Close', ...
  'Parent',b, ...
  'Callback','close gcbf' ...
);
b = uimenu('Label','&Tutorial', ...
  'Tag','tutorial', ...
  'Parent',h0 ...
);
c = uimenu('Label','Bias Estimation', ...
  'Parent',b, ...
  'Callback','swb biastut' ...
);
c = uimenu('Label','Variance Estimation', ...
  'Parent',b, ...
  'Callback','swb vartut' ...
);
c = uimenu('Label','Confidence Intervals (Non-Param. Boot)', ...
  'Parent',b, ...
  'Callback','swb cinpbtut' ...
);  
c = uimenu('Label','Confidence Intervals (Param. Boot)', ...
  'Parent',b, ...
  'Callback','swb cipbtut' ...
);
c = uimenu('Label','Confidence Intervals (Percentile-t)', ...
  'Parent',b, ...
  'Callback','swb cipttut' ...
);
c = uimenu('Label','Confidence Intervals (Variance Stab.)', ...
  'Parent',b, ...
  'Callback','swb civstut' ...
);
b = uimenu('Label','T&ools', ...
  'Tag','toolsB', ...
  'Parent',h0 ...
);
c = uimenu('Label','Bias Estimation', ...
  'Parent',b, ...
  'Callback','swb2 biasest' ...
);
c = uimenu('Label','Variance Estimation', ...
  'Parent',b, ...
  'Callback','swb2 varest' ...
);
c = uimenu('Label','Confidence Intervals (Non-Param. Boot)', ...
  'Parent',b, ...
  'Callback','swb2 ciestnpb' ...
);  
c = uimenu('Label','Confidence Intervals (Param. Boot)', ...
  'Parent',b, ...
  'Callback','swb2 ciestpb' ...
);
c = uimenu('Label','Confidence Intervals (Percentile-t)', ...
  'Parent',b, ...
  'Callback','swb2 ciestpt' ...
);
c = uimenu('Label','Confidence Intervals (Variance Stab.)', ...
  'Parent',b, ...
  'Callback','swb2 ciestvs' ...
);
c = uimenu('Label','Matched Filter', ...
  'Parent',b, ...
  'Callback','swb2 dmf', ...
  'Separator','on' ...
);
c = uimenu('Label','CFAR Matched Filter', ...
  'Parent',b, ...
  'Callback','swb2 dcfarmf' ...
);
c = uimenu('Label','Two-Sensor Signal Detection', ...
  'Parent',b, ...
  'Callback','swb2 d2scb' ...
);
c = uimenu('Label','Linear Model Selection', ...
  'Parent',b, ...
  'Callback','swb2 modelsel', ...
  'Separator','on' ...
);
c = uimenu('Label','Polynomial Phase Signal Modelling', ...
  'Parent',b, ...
  'Callback','swb2 polphase', ...
  'Separator','on' ...
);
b = uimenu('Label','&Help', ...
  'Parent',h0, ...
  'Tag','help' ...
);
c = uimenu('Label','Matlab Help', ...
  'Parent',b, ...
  'Callback','helpdesk' ...
);
c = uimenu('Label','About', ...
  'Parent',b, ...
  'Callback','about(gcbf)' ...
);
%%%%%%%%%%%%%%%%%%%%%%%%%END OF MENU BAR %%%%%%%%%%%%%%%%%%%%%%%%%%%%%

h1 = axes('Tag','Axes1', ...
  'Parent',h0, ...
  'Box','on', ...
  'CameraUpVector',[0 1 0], ...
  'CameraUpVectorMode','manual', ...
  'Color',[1 1 1], ...
  'ColorOrder',mat2, ...
  'FontWeight','demi', ...
  'FontUnits','normalized', ...
  'Position',[0.4 0.3357 0.5661 0.5524], ...
  'XColor',[0 0 0], ...
  'YColor',[0 0 0], ...
  'ZColor',[0 0 0] ...
);
h1 = axes('Tag','Axes_bar', ...
  'Parent',h0, ...
  'Box','on', ...
  'XLim',[0 1], ...
  'YLim',[0 1], ...
  'Position',[0.4268 0.2 0.5125 0.0333], ...
  'XTickMode','manual', ...
  'YTickMode','manual', ...
  'XTick',[], ...
  'YTick',[], ...
  'XTickLabelMode','manual', ...
  'XTickLabel',[], ...
  'YTickLabelMode','manual', ...
  'YTickLabel',[] ...
);
h2 = patch([0 0 0 0],[0 0 1 1],'r','Tag','Waitbar');
h1 = uicontrol('Tag','Pushbutton1', ...
  'Parent',h0, ...
  'Units','normalized', ...
  'FontSize',DefaultFontSize, ...
  'FontUnits','normalized', ...
  'ListboxTop',0, ...
  'Position',[0.8333 0.0317 0.1429 0.0952], ...
  'String','Apply' ...
);
h1 = uicontrol('Tag','StaticText_pop1', ...
  'Parent',h0, ...
  'Units','normalized', ...
  'FontSize',DefaultFontSize, ...
  'FontUnits','normalized', ...
  'BackgroundColor',DefaultBackgroundColor, ...
  'ListboxTop',0, ...
  'Position',[0.03571 0.8095 0.2857 0.1270], ...
  'String','STATISTIC', ...
  'Style','text' ...
);
h1 = uicontrol('Tag','PopupMenu1', ...
  'Parent',h0, ...
  'Units','normalized', ...
  'FontSize',DefaultFontSize, ...
  'FontUnits','normalized', ...
  'ListboxTop',0, ...
  'Position',[0.0476 0.8254 0.2619 0.0635], ...
  'String',' ', ...
  'Style','popupmenu', ...
  'Value',1, ...
  'Callback','popupcb 1' ...
);
h1 = uicontrol('Tag','StaticText_pop2', ...
  'Parent',h0, ...
  'Units','normalized', ...
  'FontSize',DefaultFontSize, ...
  'FontUnits','normalized', ...
  'BackgroundColor',DefaultBackgroundColor, ...
  'ListboxTop',0, ...
  'Position',[0.0357 0.6190 0.2857 0.1270], ...
  'String','DISTRIBUTION', ...
  'Style','text' ...
);
h1 = uicontrol('Tag','PopupMenu2', ...
  'Parent',h0, ...
  'Units','normalized', ...
  'FontSize',DefaultFontSize, ...
  'FontUnits','normalized', ...
  'ListboxTop',0, ...
  'Position',[0.0476 0.6349 0.2619 0.0635], ...
  'String',' ', ...
  'Style','popupmenu', ...
  'Value',1, ...
  'Callback','popupcb 2' ...
);
h1 = uicontrol('Tag','StaticText_pop3', ...
  'Parent',h0, ...
  'Units','normalized', ...
  'FontSize',DefaultFontSize, ...
  'FontUnits','normalized', ...
  'BackgroundColor',DefaultBackgroundColor, ...
  'ListboxTop',0, ...
  'Position',[0.0357 0.4286 0.2857 0.1270], ...
  'String','PARAMETRIC DIST.', ...
  'Style','text' ...
);
h1 = uicontrol('Tag','PopupMenu3', ...
  'Parent',h0, ...
  'Units','normalized', ...
  'FontSize',DefaultFontSize, ...
  'FontUnits','normalized', ...
  'ListboxTop',0, ...
  'Position',[0.0476 0.4444 0.2619 0.0635], ...
  'String',' ', ...
  'Style','popupmenu', ...
  'Value',1, ...
  'Callback','popupcb 3' ...
);
h1 = uicontrol('Tag','StaticText_B1', ...
  'Parent',h0, ...
  'HorizontalAlignment','left', ...
  'Units','normalized', ...
  'FontSize',DefaultFontSize, ...
  'FontUnits','normalized', ...
  'BackgroundColor',DefaultBackgroundColor, ...
  'ListboxTop',0, ...
  'Position',[0.0714 0.0476 0.0476 0.0476], ...
  'String','B1', ...
  'Style','text' ...
);
h1 = uicontrol('Tag','EditText_B1', ...
  'Parent',h0, ...
  'Callback','chkno(gcbo,''B1'');', ...
  'Units','normalized', ...
  'FontSize',DefaultFontSize, ...
  'FontUnits','normalized', ...
  'BackgroundColor',[1 1 1], ...
  'ListboxTop',0, ...
  'Position',[0.1190 0.0476 0.1190 0.0635], ...
  'Style','edit' ...
);
h1 = uicontrol('Tag','StaticText_B2', ...
  'Parent',h0, ...
  'Units','normalized', ...
  'FontSize',DefaultFontSize, ...
  'FontUnits','normalized', ...
  'BackgroundColor',DefaultBackgroundColor, ...
  'HorizontalAlignment','left', ...
  'ListboxTop',0, ...
  'Position',[0.0714 0.1587 0.0476 0.0476], ...
  'String','B2', ...
  'Style','text' ...
);
h1 = uicontrol('Tag','EditText_B2', ...
  'Parent',h0, ...
  'Callback','chkno(gcbo,''B2'');', ...
  'Units','normalized', ...
  'FontSize',DefaultFontSize, ...
  'FontUnits','normalized', ...
  'BackgroundColor',[1 1 1], ...
  'ListboxTop',0, ...
  'Position',[0.1190 0.1587 0.1190 0.0635], ...
  'Style','edit' ...
);
h1 = uicontrol('Tag','StaticText_B3', ...
  'Parent',h0, ...
  'Units','normalized', ...
  'FontSize',DefaultFontSize, ...
  'FontUnits','normalized', ...
  'BackgroundColor',DefaultBackgroundColor, ...
  'HorizontalAlignment','left', ...
  'ListboxTop',0, ...
  'Position',[0.0714 0.2698 0.0476 0.0476], ...
  'String','B3', ...
  'Style','text' ...
);
h1 = uicontrol('Tag','EditText_B3', ...
  'Parent',h0, ...
  'Callback','chkno(gcbo,''B3'');', ...
  'Units','normalized', ...
  'FontSize',DefaultFontSize, ...
  'FontUnits','normalized', ...
  'BackgroundColor',[1 1 1], ...
  'ListboxTop',0, ...
  'Position',[0.1190 0.2698 0.1190 0.0635], ...
  'Style','edit' ...
);
h1 = uicontrol('Tag','StaticText_N', ...
  'Parent',h0, ...
  'Units','normalized', ...
  'FontSize',DefaultFontSize, ...
  'FontUnits','normalized', ...
  'BackgroundColor',DefaultBackgroundColor, ...
  'ListboxTop',0, ...
  'Position',[0.2857 0.0317 0.1429 0.1270], ...
  'String','No. Samples', ...
  'Style','text' ...
);
h1 = uicontrol('Tag','EditText_N', ...
  'Parent',h0, ...
  'Callback','chkno(gcbo,''The number of samples'');', ...
  'Units','normalized', ...
  'FontSize',DefaultFontSize, ...
  'FontUnits','normalized', ...
  'BackgroundColor',[1 1 1], ...
  'ListboxTop',0, ...
  'Position',[0.2976 0.0476 0.1190 0.0635], ...
  'Style','edit' ...
);
h1 = uicontrol('Tag','StaticText_MC', ...
  'Parent',h0, ...
  'Units','normalized', ...
  'FontSize',DefaultFontSize, ...
  'FontUnits','normalized', ...
  'BackgroundColor',DefaultBackgroundColor, ...
  'ListboxTop',0, ...
  'Position',[0.4643 0.0317 0.1429 0.1270], ...
  'String','Monte Carlo', ...
  'Style','text' ...
);
h1 = uicontrol('Tag','EditText_MC', ...
  'Parent',h0, ...
  'Callback','chkno(gcbo,''The number of Monte Carlo runs'');', ...
  'Units','normalized', ...
  'FontSize',DefaultFontSize, ...
  'FontUnits','normalized', ...
  'BackgroundColor',[1 1 1], ...
  'ListboxTop',0, ...
  'Position',[0.4762 0.0476 0.1190 0.0635], ...
  'Style','edit' ...
);
h1 = uicontrol('Tag','StaticText_alpha', ...
  'Parent',h0, ...
  'Units','normalized', ...
  'FontSize',DefaultFontSize, ...
  'FontUnits','normalized', ...
  'BackgroundColor',DefaultBackgroundColor, ...
  'ListboxTop',0, ...
  'Position',[0.6429 0.0317 0.1429 0.1270], ...
  'String','Signif. Level', ...
  'Style','text' ...
);
h1 = uicontrol('Tag','EditText_alpha', ...
  'Parent',h0, ...
  'Callback','chkalpha(gcbo);', ...
  'Units','normalized', ...
  'FontSize',DefaultFontSize, ...
  'FontUnits','normalized', ...
  'BackgroundColor',[1 1 1], ...
  'ListboxTop',0, ...
  'Position',[0.6548 0.0476 0.1190 0.0635], ...
  'Style','edit' ...
);
h1 = axes('Tag','AboutAxes', ...
  'Parent',h0, ...
  'Position',[0 0 1 1] ...
);
image(about_image,'Tag','AboutImage');
colormap(about_colormap);
axis off;
about(h0);
set(h0,'HandleVisibility','callback');
if nargout > 0, fig = h0; end
