function swb(action)
%Switchyard for tutorial menu in bootdemo.m

cbf=gcbf; %Get callback figure handle

switch(action)

case 'biastut' %Bias Estimation
  set(cbf,'Name','BOOTSTRAP DEMO: Bias Estimation Tutorial');
  set(findobj(cbf,'Tag','StaticText_N'),'String','No. Samples','Visible','on');
  set(findobj(cbf,'Tag','EditText_N'),'String','5','Visible','on');
  set(findobj(cbf,'Tag','StaticText_MC'),'String','Monte Carlo','Visible','on','Enable','off');
  set(findobj(cbf,'Tag','EditText_MC'),'String','1','Visible','on','Enable','off');
  set(findobj(cbf,'Tag','StaticText_alpha'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_alpha'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_B1'),'String','B1','Visible','on');
  set(findobj(cbf,'Tag','EditText_B1'),'String','50','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop1'),'String','STATISTIC','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu1'), ...
    'String', {'mean';'variance (biased)';'variance (unbiased)';'maximum';'custom...'}, ...
    'Value',1, ...
    'UserData',{'mean(X)';'var(X,1)';'var(X)';'max(X)';'median(X)'}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop2'),'Visible','off');
  set(findobj(cbf,'Tag','PopupMenu2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop3'),'String','DISTRIBUTION','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu3'), ...
    'String',{'N(0,1)';'U(0,1)';'custom...'}, ...
    'Value',1, ...
    'UserData',{'randn(n,MC)';'rand(n,MC)';'trnd(4,n,MC)'}, ...
    'Visible','on' ...
  );

case 'vartut' %Variance Estimation
  set(cbf,'Name','BOOTSTRAP DEMO: Variance Estimation Tutorial');
  set(findobj(cbf,'Tag','StaticText_N'),'String','No. Samples','Visible','on');
  set(findobj(cbf,'Tag','EditText_N'),'String','50','Visible','on');
  set(findobj(cbf,'Tag','StaticText_MC'),'String','Monte Carlo','Visible','on','Enable','off');
  set(findobj(cbf,'Tag','EditText_MC'),'String','1','Visible','on','Enable','off');
  set(findobj(cbf,'Tag','StaticText_alpha'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_alpha'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_B1'),'String','B1','Visible','on');
  set(findobj(cbf,'Tag','EditText_B1'),'String','25','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop1'),'String','STATISTIC','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu1'), ...
    'String', {'mean';'variance (biased)';'variance (unbiased)';'maximum';'custom...'}, ...
    'Value',1, ...
    'UserData',{'mean(X)';'var(X,1)';'var(X)';'max(X)';'median(X)'}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop2'),'Visible','off');
  set(findobj(cbf,'Tag','PopupMenu2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop3'),'String','DISTRIBUTION','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu3'), ...
    'String',{'N(10,25)';'N(0,1)';'U(0,1)';'custom...'}, ...
    'Value',1, ...
    'UserData',{'5*randn(n,MC)+10';'randn(n,MC)';'rand(n,MC)';'trnd(4,n,MC)'}, ...
    'Visible','on' ...
  );

case 'cinpbtut' %Non-Parametric Bootstrap
  set(cbf,'Name','BOOTSTRAP DEMO: Confidence Interval Estimation Tutorial (Non-Parametric Bootstrap)');
  set(findobj(cbf,'Tag','StaticText_N'),'String','No. Samples','Visible','on');
  set(findobj(cbf,'Tag','EditText_N'),'String','10','Visible','on');
  set(findobj(cbf,'Tag','StaticText_MC'),'String','Monte Carlo','Visible','on','Enable','off');
  set(findobj(cbf,'Tag','EditText_MC'),'String','1','Visible','on','Enable','off');
  set(findobj(cbf,'Tag','StaticText_alpha'),'String','Signif. Level','Visible','on');
  set(findobj(cbf,'Tag','EditText_alpha'),'String','0.05','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B1'),'String','B1','Visible','on');
  set(findobj(cbf,'Tag','EditText_B1'),'String','1000','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop1'),'String','STATISTIC','Visible','on')
  set(findobj(cbf,'Tag','PopupMenu1'), ...
    'String', {'mean';'variance (biased)';'variance (unbiased)';'maximum';'custom...'}, ...
    'Value',1, ...
    'UserData',{'mean(X)';'var(X,1)';'var(X)';'max(X)';'median(X)'}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop2'),'Visible','off');
  set(findobj(cbf,'Tag','PopupMenu2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop3'),'String','DISTRIBUTION','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu3'), ...
    'String',{'N(10,25)';'N(0,1)';'U(0,1)';'custom...'}, ...
    'Value',1, ...
    'UserData',{'5*randn(n,MC)+10';'randn(n,MC)';'rand(n,MC)';'trnd(4,n,MC)'}, ...
    'Visible','on' ...
  );

case 'cipbtut' %Parametric Bootstrap
  set(cbf,'Name','BOOTSTRAP DEMO: Confidence Interval Estimation Tutorial (Parametric Bootstrap)');
  set(findobj(cbf,'Tag','StaticText_N'),'String','No. Samples','Visible','on');
  set(findobj(cbf,'Tag','EditText_N'),'String','10','Visible','on');
  set(findobj(cbf,'Tag','StaticText_MC'),'String','Monte Carlo','Visible','on','Enable','off');
  set(findobj(cbf,'Tag','EditText_MC'),'String','1','Visible','on','Enable','off');
  set(findobj(cbf,'Tag','StaticText_alpha'),'String','Signif. Level','Visible','on');
  set(findobj(cbf,'Tag','EditText_alpha'),'String','0.05','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B1'),'String','B1','Visible','on');
  set(findobj(cbf,'Tag','EditText_B1'),'String','1000','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop1'),'String','STATISTIC','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu1'), ...
    'String', {'mean';'variance (biased)';'variance (unbiased)';'maximum';'custom...'}, ...
    'Value',1, ...
    'UserData',{'mean(X)';'var(X,1)';'var(X)';'max(X)';'median(X)'}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop2'),'String','DISTRIBUTION','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu2'), ...
    'String',{'N(10,25)';'N(0,1)';'U(0,1)';'custom...'}, ...
    'Value',1, ...
    'UserData',{'5*randn(n,MC)+10';'randn(n,MC)';'rand(n,MC)';'trnd(4,n,MC)'}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop3'),'String','PARAMETRIC DIST.','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu3'), ...
    'String', {'Normal';'Uniform';'custom...'}, ...
    'Value',1, ...
    'UserData',{'std(X)*randn(n,B)+mean(X)';'max(X)*rand(n,B)';'ceil(n*rand(n,B))'}, ...
    'Visible','on' ...
  );
   
  case 'cipttut' %Percentile-t
  set(cbf,'Name','BOOTSTRAP DEMO: Confidence Interval Estimation Tutorial (Percentile-t)');
  set(findobj(cbf,'Tag','StaticText_N'),'String','No. Samples','Visible','on');
  set(findobj(cbf,'Tag','EditText_N'),'String','10','Visible','on');
  set(findobj(cbf,'Tag','StaticText_MC'),'String','Monte Carlo','Visible','on','Enable','off');
  set(findobj(cbf,'Tag','EditText_MC'),'String','1','Visible','on','Enable','off');
  set(findobj(cbf,'Tag','StaticText_alpha'),'String','Signif. Level','Visible','on');
  set(findobj(cbf,'Tag','EditText_alpha'),'String','0.05','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B1'),'String','B1','Visible','on');
  set(findobj(cbf,'Tag','EditText_B1'),'String','100','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B2'),'String','B2','Visible','on');
  set(findobj(cbf,'Tag','EditText_B2'),'String','25','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop1'),'String','STATISTIC','Visible','on')
  set(findobj(cbf,'Tag','PopupMenu1'), ...
    'String', {'mean';'variance (biased)';'variance (unbiased)';'maximum';'custom...'}, ...
    'Value',1, ...
    'UserData',{'mean(X)';'var(X,1)';'var(X)';'max(X)';'median(X)'}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop2'),'Visible','off');
  set(findobj(cbf,'Tag','PopupMenu2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop3'),'String','DISTRIBUTION','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu3'), ...
    'String',{'N(10,25)';'N(0,1)';'U(0,1)';'custom...'}, ...
    'Value',1, ...
    'UserData',{'5*randn(n,MC)+10';'randn(n,MC)';'rand(n,MC)';'trnd(4,n,MC)'}, ...
    'Visible','on' ...
    );

case 'civstut' %Variance Stabilisation
  set(cbf,'Name','BOOTSTRAP DEMO: Confidence Interval Estimation Tutorial (Variance Stabilisation)');
  set(findobj(cbf,'Tag','StaticText_N'),'String','No. Samples','Visible','on');
  set(findobj(cbf,'Tag','EditText_N'),'String','10','Visible','on');
  set(findobj(cbf,'Tag','StaticText_MC'),'String','Monte Carlo','Visible','on','Enable','off');
  set(findobj(cbf,'Tag','EditText_MC'),'String','1','Visible','on','Enable','off');
  set(findobj(cbf,'Tag','StaticText_alpha'),'String','Signif. Level','Visible','on');
  set(findobj(cbf,'Tag','EditText_alpha'),'String','0.05','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B1'),'String','B1','Visible','on');
  set(findobj(cbf,'Tag','EditText_B1'),'String','100','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B2'),'String','B2','Visible','on');
  set(findobj(cbf,'Tag','EditText_B2'),'String','25','Visible','on');  
  set(findobj(cbf,'Tag','StaticText_B3'),'String','B3','Visible','on');
  set(findobj(cbf,'Tag','EditText_B3'),'String','1000','Visible','on');
  set(findobj(cbf,'Tag','StaticText_pop1'),'String','STATISTIC','Visible','on')
  set(findobj(cbf,'Tag','PopupMenu1'), ...
      'String', {'mean';'variance (biased)';'variance (unbiased)';'maximum';'custom...'}, ...
    'Value',1, ...
      'UserData',{'mean(X)';'var(X,1)';'var(X)';'max(X)';'median(X)'}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop2'),'Visible','off');
  set(findobj(cbf,'Tag','PopupMenu2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop3'),'String','DISTRIBUTION','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu3'), ...
    'String',{'N(10,25)';'N(0,1)';'U(0,1)';'custom...'}, ...
    'Value',1, ...
    'UserData',{'5*randn(n,MC)+10';'randn(n,MC)';'rand(n,MC)';'trnd(4,n,MC)'}, ...
    'Visible','on' ...
  );
     
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
otherwise
  notyet;
  return;
end   

set(findobj(cbf,'Tag','AboutImage'),'Visible','off');
set(findobj(cbf,'Tag','Axes_bar'),'Visible','on');
h=findobj(cbf,'Tag','Axes1'); set(h,'Visible','on');
axes(h); cla; grid off; title(''); xlabel(''); ylabel('');
h=findobj(cbf,'Tag','Pushbutton1'); set(h,'Visible','on');
set(h,'String','Start','Callback',action);
